今天看啥
热点:

经过了几个月的开发和Beta测试,Mozilla终于发布了火狐浏览器3.6.4。此次升级不仅是最新一版对火狐浏览器常规安全和稳定性的升级,还包括了一项全新的功能--"崩溃保护",即在使用第三方插件的时候,火狐浏览器将在这些插件崩溃的时候提供有效的隔离措施(该功能目前仅在Windows和Linux上有效)。

  加入了崩溃保护功能的火狐3.6.4在用户上网看视频或者玩"偷菜"等游戏时大大降低了浏览器的崩溃。当在火狐中使用这些第三方插件而这些插件崩溃或者假死的时候,用户可以完全不被中断,只需要重新刷新页面就可以了。

  Mozilla充分认识到在今天的互联网环境中,第三方插件提供着很多非常重要的功能。但是,第三方插件也给浏览器带来了很多问题,尤其是老版本的第三方插件。之前,Mozilla曾提供了工具能够检测您的第三方插件是否为最新版本;现在,在火狐3.6.4中,我们提供了全新的崩溃保护。(同时,即便您目前没有使用火狐浏览器,我们也建议您通过我们的插件检测页面(可检测所有浏览器http://www.mozilla.com/en-US/plugincheck/)检测一下您的插件版本,"保持插件最新"能够保证您的浏览器安全和稳定。)

  目前在火狐3.6.4中,Mozilla提供了在Windows和Linux上对Adobe Flash、Apple的Quicktime和微软的Silverlight的崩溃保护。对其他操作系统和其他第三方插件的支持将在后续的版本中提供。

  Mozilla同时建议所有的火狐用户都升级到这个版本,只需要点击"帮助"菜单中的"检查更新"就可以了,或者也可以访问eNet下载频道(http://download.enet.com.cn/html/010022002072301.html)去下载。

  (在Mozilla官方博客查看英文原文:http://blog.mozilla.com/blog/2010/06/22/firefox-3-6-4-with-crash-protection-now-available/)

  火狐下一版升级将是火狐4.0。这次Mozilla对于功能和技术点的命名花了很多心思,倾向于更易懂更容易接受,比如之前的 Weave现在更名为火狐同步"Firefox Sync",崩溃保护"Crash Protection"其实原名是Out of Process Plugin(OOPP),现在的名字更加的清晰易懂。

  从技术角度上讲,火狐3.6.4会有一个单独的进程(Windows上叫做plugin-container.exe)来处理这些第三方插件,当任何插件发生问题,无论在崩溃或者假死的情况下,都会出现上面截图中的情况。这时候,你只需要重新刷新页面就好了。这样既不会影响到其他标签页,也不会导致整个浏览器的崩溃。

  根据Mozilla的调查,火狐崩溃的原因有三分之一是因为插件出错。火狐3.6.4的崩溃保护有效地将插件运行同火狐运行分离开来,插件出错将不会再导致火狐崩溃。

  那如何保证插件不出错或者少出错呢,强烈建议大家使用最新版的插件,Mozilla也提供了插件检测工具((可检测所有浏览器http://www.mozilla.com/en-US/plugincheck/)来帮助您检测插件是否奥特曼了,:)

  崩溃保护常见问题

  从火狐3.6.4开始,火狐提供一个全新的功能叫做"崩溃保护"(Crash Protection),这是基于火狐Gecko引擎中的独立插件进程技术实现的。目前提供了对 Windows和Linux的支持,能够有效隔离Adobe Flash、Apple Quicktime和微软Silverlight插件,把他们运行在独立的plugin-container进程中。

  下面是有关崩溃保护的一些常见问题:

  插件崩溃时会是什么样子?

  当使用带有崩溃保护的火狐浏览器遇到插件崩溃或者假死的时候,浏览器会保持正常运行,不过由该插件控制的网页局部会失效。这时候,你只需要重新刷新 一下页面,插件就会被重新加载了。

  有多少火狐崩溃是由插件造成的?

  关于火狐崩溃的数据显示,基本上1/3的崩溃是由于第三方插件造成的。Mozilla针对火狐3.6.4的崩溃保护进行了长达一个月的Beta测试,反馈表明"崩溃保护"功能为用户提供了很好很有效的保护。

  为什么崩溃的插件不能被更新或者解决?

  有时候是因为还没有更新的插件版本出来,有时候可能是因为网站本身的原因。在这些情况下,对于用户最好的保护就是火狐的"崩溃保护"了。"保证插件一直是最新版本"很重要。火狐3.6的用户可以在插件过期的时候得到提醒,所有浏览器的用户也可以去Mozilla插件检测页面(可检测所有浏览器http://www.mozilla.com/en-US/plugincheck/)去定期检查自己的插件。

  为什么现在在Mac OS X上还没有崩溃保护?什么时候会有呢?

  崩溃保护中使用的技术需要火狐在Mac OS X系统上做很大的结构变化,所以目前还不能提供在Mac OS X上的崩溃保护,不过这个功能会在火狐4中提供给大家。

  崩溃保护会支持火狐3.5或者更老的版本吗?

  崩溃保护不支持老版本的火狐浏览器。我们强烈建议所有火狐用户升级到3.6.4这个版本,您可以通过"帮助"菜单点击"查看更新",或者到www.mozillaonline.com网站上下载。

  崩溃保护既然是全新的功能--为什么这次更新只是常规的安全和稳定性更新呢?

  Mozilla一直致力于尽快的给用户提供非常重要的特性和功能。崩溃保护提供了非常重要的稳定性更新,我们的产品人员希望能够在第一时间内将这个功能提供给所有火狐用户。

www.bkjia.comtruehttp://www.bkjia.com/remen/remen_151008.htmlTechArticle经过了几个月的开发和Beta测试,Mozilla终于发布了火狐浏览器3.6.4。此次升级不仅是最新一版对火狐浏览器常规安全和稳定性的升级,还包括...

相关文章

    暂无相关文章
相关搜索:
相关频道:

帮客评论

视觉看点